Bug 108692 - Not all gpg keys are listed
Summary: Not all gpg keys are listed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.0.0 target:5.4.0.2
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2017-06-22 14:21 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-06-28 08:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-06-22 14:21:17 UTC
Go to File->Digital Signatures->Digital Signatures->Sign document.

Exptected:
All existing gpg keys with private key should be listed.

Actual:
Only one gpg key is listed (although I have 4 which also have a private key)
Comment 1 Commit Notification 2017-06-23 10:37:47 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91ffe409e35479d024f629fe1b5ce474993a0f54

tdf#108692 gpg4libre: List all gpg keys

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-06-28 08:11:47 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40c2e584df0cbef84d21c03ca889078a3b093a0f&h=libreoffice-5-4

tdf#108692 gpg4libre: List all gpg keys

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.